import * as ec2 from 'aws-cdk-lib/aws-ec2';
import * as s3 from 'aws-cdk-lib/aws-s3';
import * as lambdaNodeJs from 'aws-cdk-lib/aws-lambda-nodejs';
import * as codebuild from 'aws-cdk-lib/aws-codebuild';
import { CodeBuildProjectType, LambdaFunctionType, S3BucketType } from './resource-types';
import { AppModel, AppName, IApp } from './app';
export default class Context implements IApp {
    private _defaultApp;
    private _apps;
    constructor(defaultApp: AppName);
    get accountId(): string | undefined;
    getApp(name: AppName): AppModel;
    setVpc(vpc: ec2.Vpc): void;
    getVpc(): ec2.Vpc;
    setS3Bucket(type: S3BucketType, s3Bucket: s3.Bucket): void;
    getS3Bucket(type: S3BucketType): s3.Bucket;
    setCodeBuildProject(type: CodeBuildProjectType, project: codebuild.PipelineProject): void;
    getCodeBuildProject(type: CodeBuildProjectType): codebuild.PipelineProject;
    setLambdaFunction(type: LambdaFunctionType, project: lambdaNodeJs.NodejsFunction): void;
    getLambdaFunction(type: LambdaFunctionType): lambdaNodeJs.NodejsFunction;
}
