declare type LibFile = Record<string, {
    hash: string;
}>;
declare type LibMetadataBody = {
    files: LibFile;
    s3Version: string;
    layerVersion: number;
};
export declare type LibMetadata = {
    [libName: string]: LibMetadataBody;
};
export declare type Metadata = {
    libs: LibMetadata;
    functions: FunctionMetadata;
};
export declare type ChangesSummary = string[];
export declare type LayerVersions = {
    [libName: string]: number;
};
declare type ApiFunction = {
    hash: string;
    zipPath: string;
    version: string;
};
export declare type FunctionMetadata = Record<string, Record<string, ApiFunction>>;
export {};
